Mailboxes
Approve a mailbox action
Approves an action waiting for approval, executes it, and returns the executed action.
Approves an action waiting for approval, executes it, and returns the executed action. Only a person signed in or through OAuth may approve, and never the one who proposed it.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$actionId*string
Match
^mbxact_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/mailboxes/string/actions/string/approve"{ "id": "string", "type": "sendMessage", "state": "proposed", "source": "humanUi", "proposedBy": { "kind": "user", "id": "string", "displayName": "string" }, "threadId": "string", "draftId": "string", "decision": { "outcome": "allow", "reason": "string", "policyId": "string", "decidedAt": "string" }, "createdAt": "string", "updatedAt": "string"}